Skip to main content
POST
Adds a new cart item into the cart of the guest

Authorizations

X-API-KEY
string
header
required

API key delivered by D-EDGE

Path Parameters

sessionId
string<uuid>
required

The session identifier

Body

application/json
productId
integer<int32>
required
quantity
integer<int32>
required
amount
object
required
hidePrice
boolean | null
comment
string | null
sendTo
enum<string>

Who receives the item.

  • Shopper: the item is sent to the person paying the order.
  • Beneficiary: the item is sent to a third party, whose details are then required in the beneficiary block.
Available options:
Shopper,
Beneficiary
beneficiary
object
sentFrom
string | null

Response

Returns the identifier of the cart item

cartItemIds
string<uuid>[] | null